## Discord Plex FR : https://discord.gg/ERpYMqS
## Version 2021-03-13
version: "2.1"
services:
  jackett:
    image: ghcr.io/linuxserver/jackett
    container_name: jackett
    environment:
      - PUID=1000   # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
      - PGID=1000   # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
      - TZ=Europe/Paris  # https://en.wikipedia.org/wiki/List_of_tz_database_time_zones
      - AUTO_UPDATE=true  
    volumes:
      - /volume1/docker/jackett/config:/config
    ports:
      - 9117:9117  # WebUI
    restart: unless-stopped
# Decommenter les 2 lignes suivantes pour que watchtower surveille ce conteneur
#    labels:
#      - com.centurylinklabs.watchtower.enable=true
# Network conseillé de ne pas utiliser host (pas de redirection de port) ni default_bridge car limité a 16 ip
    network_mode: jackett_network
    
  flaresolverr:
    image: ghcr.io/flaresolverr/flaresolverr:latest
    container_name: flaresolverr
    environment:
      - LOG_LEVEL=info
      - LOG_HTML=false
      - CAPTCHA_SOLVER=harvester  # Plusieurs solvers possible voir le github
      - HARVESTER_ENDPOINT=https://127.0.0.1:5000/token
    ports:
      - 8191:8191
    restart: unless-stopped
# Decommenter les 2 lignes suivantes pour que watchtower surveille ce conteneur
   # labels:
   #   - com.centurylinklabs.watchtower.enable=true
 # Network conseillé de ne pas utiliser host (pas de redirection de port) ni default_bridge car limité a 16 ip  
    network_mode: jackett_network
